Bug 134913 - DBD-Pg silently dies on some queries
DBD-Pg silently dies on some queries
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-DBD-Pg (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-07 02:07 EDT by David Haas
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-31 01:06:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Haas 2004-10-07 02:07:02 EDT
Description of problem:

Using a stock-install of FC2, some cgi queries running through
perl-DBD-Pg and perl-DBI silently "die".  No core, no reports from
perl - just a page that fails to load and a message in my apache log
file saying "malformed headers."

Version-Release number of selected component (if applicable):
Completely stock install of Fedora Core 2:
perl-DBD-Pg-1.31-5
perl-DBI-1.40-4

Expected Results:
1) Page loads
2) Select boxes appear
3) Graphs appears

Actual Results:
1) Page loads
2) Select boxes appear
3) No graphs, but there is a message in error_log complaining
about malformed headers.

How reproducible:
Happens every time a certain block of SQL is hit in our product (it's
a select against 4 tables returning 1 column of text.)  Unfortunately,
I don't have a generic test case.

Additional info:  This is completely fixed for us by upgrading DBI &
DBD-Pg from CPAN.  The CPAN versions of DBI is currently at 1.45,
DBD-Pg is at 1.32.  Perhaps the RPMS could be updated for FC3?
Comment 1 Matthew Miller 2005-04-26 11:27:57 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Warren Togami 2005-05-31 01:06:28 EDT
No response in 1 month.  Assuming fixed.  Open a new bug if this is still an
issue in FC4.

Note You need to log in before you can comment on or make changes to this bug.